AdSense 3.0 Extension Generating "UNIQ" Error Code on Page

If you are having problems with my MediaWiki Extensions, post here.

AdSense 3.0 Extension Generating "UNIQ" Error Code on Page

Postby colinbjohnson » November 24th, 2012, 3:38 pm

When Running AdSense 3.0 with MediaWiki 1.19.0 I receive the following text "UNIQ3b2d3ccdc6e2679-google-00000001-QINU" on pages where I believe I should be seeing a Google AdSense Ad. Note that the text with the "UNIX/QINU" tags changes: UNIQxxxxxxxxxxxxx-google-00000001-QINU.

I am running:
MediaWiki 1.19.0
PHP 5.3.18 (apache2handler)
MediaWiki Extensions "GoogleAdSense (Version 3.0, March 28, 2009)" and no other extensions.

Configuration of GoogleAdSense.php is as follows:
'C01' => array('unitID' => 'my_slot_id', 'width' => '728', 'height' => '90', 'position' => 'none'),
I've modified my_slot_id to be correct.

Content used to call ad unit - this is placed in the MediaWiki article content:
<google uid="C01" position="middle"></google>
My Google Account contains a C01 content unit with width of 728 and height of 90.

When saving the page I also receive the following error:
[Sat Nov 24 19:34:35 2012] [error] [client 98.210.184.231] PHP Warning: Parameter 3 to populategoogleadsense() expected to be a reference, value given in /var/www/html/mysite/includes/parser/Parser.php on line 3736, referer: http://mysite.com/index.php?title=MyArticle&action=edit

CJ
User avatar
colinbjohnson
Rank 0
Rank 0
 
Posts: 1
Joined: November 24th, 2012, 3:25 pm

Return to MediaWiki Extensions Troubleshooting and Problems

Who is online

Users browsing this forum: No registered users and 1 guest

cron